# Updates a registration with the specified ID. This method will update an existing registration with the specified ID. Endpoint: PUT /registrations/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the registration to update. ## Request fields (application/json): - `add_membership_package` (boolean) Whether or not we add a membership package to this registration - `add_ons` (array) - `add_ons.add_on_product_id` (string, required) The add on - `add_ons.quantity` (number) The quantity of add on - `badge` (object) - `badge.first_name` (string) - `badge.full_name` (string) - `badge.job_title` (string) - `badge.location` (string) - `badge.organization_name` (string) - `cancellation_date` (string, required) - `checkin_date` (string) The date/time of checkin - `city` (string) The member city - `contact_id` (string, required) The contact ID of the registrant - `country` (string) The member country - `coupon_code_id` (string) If a coupon code was used with this registration, it is linked here - `courses` (array) - `courses.course_offering_id` (string) - `courses.custom_field_values` (array) Course registration custom fields - `courses.custom_field_values.boolean_value` (boolean) The boolean value - `courses.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `courses.custom_field_values.file_url_value` (string) The pointer to a file value - `courses.custom_field_values.list_value` (array) The list value - `courses.custom_field_values.numeric_value` (number) The numeric value - `courses.custom_field_values.string_value` (string) The string value of the custom field - `courses.custom_field_values.table_value` (array) A list of objects (a table) - `custom_field_values` (array) - `date` (string) The date of registration - `deadline_id` (string) The registration deadline - `departure_date` (string) The date the person left the event - `email_address` (string) The member's email address - `embed_membership_application` (boolean) Whether or not to embed a whole membership application - `event_end_date` (string) The date of the event - `event_id` (string, required) The event - `event_start_date` (string) The date of the event - `first_name` (string) The member's first name - `functions` (array) - `functions.fee_id` (string, required) The fee id of the function - `functions.function_id` (string, required) The function - `functions.number_of_tickets` (number) The number of tickets - `functions.ticket_options` (array) - `functions.ticket_options.custom_field_values` (array) Ticket custom fields - `functions.ticket_options.meal_option_id` (string) The meal option, if applicable - `group_id` (string) The group this registration belongs to - `group_order` (number) The order of the registration within the group - `guests` (array) - `guests.guest_contact_info` (object) The contact info for the guest - `guests.guest_registration_package_id` (string, required) - `guests.id` (string) The guest ID - `id` (string, required) The unique, string identifier of this registration group - `internal_notes` (string) Any applicable notes - `is_guest_registration` (boolean) Guest registration - `is_transient_guest` (boolean) If set, the guest has no contact record - `job_title` (string) The member job title - `last_modification_date` (string) The last time that the registration was modified - `last_name` (string) The member's last name - `meeting_join_url` (string) The URL used to join the meeting - `meeting_participant_id` (string) The external ID of this registration in the linked meeting - `membership_information` (object, required) - `membership_information.membership_package_id` (string, required) The membership package - `modified_registration_id` (string) If this registration is modifying another registration, that ID is here - `name` (string, required) The member's name - `notes` (string) Notes - `number` (number) The registration number - `order_amount_paid` (number) The amount paid - `order_balance_due` (number) The balance due on the order - `order_currency_code` (string) - `order_currency_symbol` (string) - `order_id` (string) The order - `order_line_item_id` (string) The order line item - `order_number` (number) The order number - `order_status` (string) Enum: "awaiting payment", "awaiting pickup", "awaiting shipping", "cancelled", "completed", "disputed", "open", "partially shipped", "returned", "shipped", "void" - `order_total` (number) The total of the order - `organization_id` (string) The organization associated with this registration - `package_id` (string, required) The registration package - `parent_registration_guest_id` (string) The ID of the guest in the parent registration array - `parent_registration_id` (string) For guest registrations, the parent id - `process_id` (string) The registration process - `registrant_acknowledges_scheduling_conflicts` (boolean) True if the registrant was presented with scheduling conflicts and acknowledged them - `ribbon_ids` (array) The ribbons on this registration - `sessions` (array) - `sessions.custom_field_values` (array) Session custom fields - `sessions.session_id` (string) - `state` (string) The state - `status` (string) Enum: "active", "cancelled", "draft", "pending approval" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `type_id` (string, required) The registration type - `webinar_join_url` (string) The URL used to join the webinar - `webinar_participant_id` (string) The external ID of this registration in the linked webinar ## Response 200 fields (application/json): - `add_membership_package` (boolean) Whether or not we add a membership package to this registration - `add_ons` (array) - `add_ons.add_on_product_id` (string, required) The add on - `add_ons.quantity` (number) The quantity of add on - `badge` (object) - `badge.first_name` (string) - `badge.full_name` (string) - `badge.job_title` (string) - `badge.location` (string) - `badge.organization_name` (string) - `cancellation_date` (string, required) - `checkin_date` (string) The date/time of checkin - `city` (string) The member city - `contact_id` (string, required) The contact ID of the registrant - `country` (string) The member country - `coupon_code_id` (string) If a coupon code was used with this registration, it is linked here - `courses` (array) - `courses.course_offering_id` (string) - `courses.custom_field_values` (array) Course registration custom fields - `courses.custom_field_values.boolean_value` (boolean) The boolean value - `courses.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `courses.custom_field_values.file_url_value` (string) The pointer to a file value - `courses.custom_field_values.list_value` (array) The list value - `courses.custom_field_values.numeric_value` (number) The numeric value - `courses.custom_field_values.string_value` (string) The string value of the custom field - `courses.custom_field_values.table_value` (array) A list of objects (a table) - `custom_field_values` (array) - `date` (string) The date of registration - `deadline_id` (string) The registration deadline - `departure_date` (string) The date the person left the event - `email_address` (string) The member's email address - `embed_membership_application` (boolean) Whether or not to embed a whole membership application - `event_end_date` (string) The date of the event - `event_id` (string, required) The event - `event_start_date` (string) The date of the event - `first_name` (string) The member's first name - `functions` (array) - `functions.fee_id` (string, required) The fee id of the function - `functions.function_id` (string, required) The function - `functions.number_of_tickets` (number) The number of tickets - `functions.ticket_options` (array) - `functions.ticket_options.custom_field_values` (array) Ticket custom fields - `functions.ticket_options.meal_option_id` (string) The meal option, if applicable - `group_id` (string) The group this registration belongs to - `group_order` (number) The order of the registration within the group - `guests` (array) - `guests.guest_contact_info` (object) The contact info for the guest - `guests.guest_registration_package_id` (string, required) - `guests.id` (string) The guest ID - `id` (string, required) The unique, string identifier of this registration group - `internal_notes` (string) Any applicable notes - `is_guest_registration` (boolean) Guest registration - `is_transient_guest` (boolean) If set, the guest has no contact record - `job_title` (string) The member job title - `last_modification_date` (string) The last time that the registration was modified - `last_name` (string) The member's last name - `meeting_join_url` (string) The URL used to join the meeting - `meeting_participant_id` (string) The external ID of this registration in the linked meeting - `membership_information` (object, required) - `membership_information.membership_package_id` (string, required) The membership package - `modified_registration_id` (string) If this registration is modifying another registration, that ID is here - `name` (string, required) The member's name - `notes` (string) Notes - `number` (number) The registration number - `order_amount_paid` (number) The amount paid - `order_balance_due` (number) The balance due on the order - `order_currency_code` (string) - `order_currency_symbol` (string) - `order_id` (string) The order - `order_line_item_id` (string) The order line item - `order_number` (number) The order number - `order_status` (string) Enum: "awaiting payment", "awaiting pickup", "awaiting shipping", "cancelled", "completed", "disputed", "open", "partially shipped", "returned", "shipped", "void" - `order_total` (number) The total of the order - `organization_id` (string) The organization associated with this registration - `package_id` (string, required) The registration package - `parent_registration_guest_id` (string) The ID of the guest in the parent registration array - `parent_registration_id` (string) For guest registrations, the parent id - `process_id` (string) The registration process - `registrant_acknowledges_scheduling_conflicts` (boolean) True if the registrant was presented with scheduling conflicts and acknowledged them - `ribbon_ids` (array) The ribbons on this registration - `sessions` (array) - `sessions.custom_field_values` (array) Session custom fields - `sessions.session_id` (string) - `state` (string) The state - `status` (string) Enum: "active", "cancelled", "draft", "pending approval" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `type_id` (string, required) The registration type - `webinar_join_url` (string) The URL used to join the webinar - `webinar_participant_id` (string) The external ID of this registration in the linked webinar ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields